Synthetic
List Synthetic Results
Fetch synthetic-monitoring result history for a page, shaped to our asset-free schema.
Authorization
bearerAuth AuthorizationBearer <token>
API token generated from the fastmon dashboard (Account → API Token). Send as Authorization: Bearer fm_... or paste the full token (including the fm_ prefix) into the Authorize dialog.
In: header
Path Parameters
page_id*Page Id
Format
uuidsite_id*Site Id
Format
uuidQuery Parameters
result_type?Result Type
Match
^(cs|ttfb|all)$Default
"cs"limit?Limit
Range
1 <= value <= 100Default
10Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/synthetic/pages/497f6eca-6276-4993-bfeb-53cbbbba6f08/results"{ "total": 0, "results": [ { "analysis_uuid": "string", "created_at": "string", "data": { "property1": { "average": 0, "error": true, "vitals": true, "pages": { "property1": { "page_url": "string", "error": 0, "score": 0, "scores": [ { "name": "string", "value": "string", "score": 0 } ] }, "property2": { "page_url": "string", "error": 0, "score": 0, "scores": [ { "name": "string", "value": "string", "score": 0 } ] } } }, "property2": { "average": 0, "error": true, "vitals": true, "pages": { "property1": { "page_url": "string", "error": 0, "score": 0, "scores": [ { "name": "string", "value": "string", "score": 0 } ] }, "property2": { "page_url": "string", "error": 0, "score": 0, "scores": [ { "name": "string", "value": "string", "score": 0 } ] } } } }, "data_ttfb": { "property1": { "range_dns": 0, "range_connection": 0, "range_ssl": 0, "range_server": 0, "range_transfer": 0, "total": 0 }, "property2": { "range_dns": 0, "range_connection": 0, "range_ssl": 0, "range_server": 0, "range_transfer": 0, "total": 0 } } } ]}{ "error": { "code": "string", "message": "string", "request_id": "string", "doc_url": "string", "details": {} }}{ "error": { "code": "string", "message": "string", "request_id": "string", "doc_url": "string", "details": {} }}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}{ "error": { "code": "string", "message": "string", "request_id": "string", "doc_url": "string", "details": {} }}